## FIT-Co Java SDK

### Project Setup Info

- Java 11 (LTS)
- Maven
- Junit 5
- (Guice DI)

### Build

To build the maven artifact, run: `mvn clean package`

####

To run all tests, run: `mvn test`

### External Configuration

Configuration properties e.g. for REST-API urls and proxy settings can be found in
the [HOCON](https://github.com/lightbend/config/blob/main/HOCON.md)
config ``sdk.conf`` within the root folder of the project.

### Documentation

See the projects module documentation for more specific information:

* [API Module ](api/README.md)
* [Core Module ](core/README.md)
* [Client Module ](client/README.md)
* [Dependency Module ](dependency/README.md)
* [Open-API Module ](open-api/README.md)

As well as the official API docs: [Fit-Connect Documentation](https://docs.fitko.de/fit-connect/docs/)

### Self Service Portal (DEV)

https://portal.auth-dev.fit-connect.fitko.dev/

